# frePPLe data admin

A django-based framework for rapid development of data management applications.

Spreadsheet are omnipresent in any company. When the process grows beyond the limits 
of Excel, you need a tool to manage your data in a more scalable, robust,
secure and collaborative way.

FrePPLe data admin provides a framework for developing such data management
applications with a low code, short learning curve approach.

**Home page**: https://frepple.org/
  
**Live demo**: https://demo.frepple.com/

**Source code**: https://github.com/frePPLe/frepple-data-admin
  
**Mailing list**: https://github.com/frePPLe/frepple-data-admin/discussions

## Features

Rich data management capabilities:
* Intuitive edits in data grid 
* Import data from spreadsheets
* Export data to spreadsheets
* Manage copies of your data in scenarios

Collaborate:
* Audit log of all changes
* Leave comments
* Create attachments
* Follow objects and notify team members

Low-code platform:
* Modular structure with apps/plugins
* Customizable look and feel for the user interface
* Low learning curve
* Python code to declare the data model, menus, views...

Scalable and secure:
* Ready for cloud-scale deployments
* 100% open source proven software stack

Built on the shoulders of giants:
* Uses Django, a very popular Python web application framework.

  It provides:
  
  * ORM mapping between database and python code
  * Migrations for evolve database schemas between releases
  * Internationalization framework to support multi lingual applications
  * Unit test framework
  * Fixtures to provide sample data
  * Large developer community providing many addons
  
* Uses PostgreSQL, the world's most advanced open source relational database.

  It provides:
  
  * A proven and reliable relational database backend
  * Ample community support

## History... and future

Data admin was developed by the https://frepple.com as a component in
a demand forecasting, inventory planning and prodution planning
application. This application has been in production use for many years
at many customers now. 

We strongly believe the data maintenance part of the application can
be useful in a broader wide of applications. Hence our initiative to
carve it out as a seperate open source project.

We are actively seeking feedback and contributions from souls interested
in taking this project with us to the next level.

## Commercial support

This project is sponsored by https://frepple.com.
For assistance and support services on your project(s), please contact us at info@frepple.com.
